import { cookies } from 'next/headers';

export const GET = async (req) => {
  const cookieStore = cookies();
  const token = cookieStore.get('token')?.value;

  if (!token) {
    return new Response(JSON.stringify({ error: 'Unauthorized' }), { status: 401 });
  }

  try {
    const { searchParams } = req.nextUrl;
    const labId = searchParams.get('labId');
    const backendUrl = `${process.env.NEXT_PUBLIC_BACKEND_URL}/api/lab-tests/lab/${labId}`;

    const response = await fetch(backendUrl, {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
        cookie: req.headers.get('cookie') || '',
      },
    });

    if (!response.ok) throw new Error('Failed to fetch lab tests');

    const data = await response.json();
    return new Response(JSON.stringify(data), { status: 200 });
  } catch (error) {
    console.error('Error fetching lab tests:', error);
    return new Response(JSON.stringify({ error: 'Internal server error' }), { status: 500 });
  }
};